Package com.collabnet.ce.soap60.types

# Class SoapSortKey

java.lang.Object
com.collabnet.ce.soap60.types.SoapSortKey

public class SoapSortKey extends Object
The order class represents a single ordering field.

Since:
  4.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATE_FORMAT`
  This is the standard date formatter for date filters when not specified using millis since 1970.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoapSortKey()`
  Default constructor
  `SoapSortKey(String name, boolean ascending)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Equals for comparisons
  `String`
  `getName()`
  Returns the name of the property to order by.
  `int`
  `hashCode()`
  Use hashcode of name.
  `boolean`
  `isAscending()`
  Returns if the ordering direction is ascending.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Register this SOAP type for Axis.
  `void`
  `setAscending(boolean ascending)`
  Sets if the ordering direction is ascending.
  `void`
  `setName(String name)`
  Sets the name of the property to order by.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_FORMAT

    public static final String DATE_FORMAT
    This is the standard date formatter for date filters when not specified using millis since 1970. Examples of valid date strings:
    - 2005-07-01 15:49:23.005 -0700
    - 2005-05-31 04:02:05.123 +0200
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SoapSortKey

    public SoapSortKey()
    Default constructor

  - ### SoapSortKey

    public SoapSortKey(String name, boolean ascending)
    Constructor
    Parameters:
      `name` - the name of the property to order by
      `ascending` - if the ordering direction is ascending

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the property to order by.
    Returns:
      Name of the property to order by.

  - ### setName

    public void setName(String name)
    Sets the name of the property to order by.
    Parameters:
      `name` - Name of the property to order by.

  - ### isAscending

    public boolean isAscending()
    Returns if the ordering direction is ascending.
    Returns:
      a boolean indicating if it's ascendign.

  - ### setAscending

    public void setAscending(boolean ascending)
    Sets if the ordering direction is ascending.
    Parameters:
      `ascending` - indicating if it's ascendign.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Register this SOAP type for Axis.
    Parameters:
      `call` - Axis call object.

  - ### equals

    public boolean equals(Object o)
    Equals for comparisons
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Compare to object
    Returns:
      Equals or not

  - ### hashCode

    public int hashCode()
    Use hashcode of name.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      Hashcode.